## paraview 5.12.1+dfsg

=== .gitlab/ci/requirements.txt ===
# This file should always contain exact version references so that we know what
# we are actually testing at any given point.

# numpy
numpy==1.24.0

# Web modules
aiohttp==3.8.3
wslink==1.9.1
