=== debian/changelog ===
paraview (5.12.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libhdf5-mpi-dev
    Don't hardcode MPI implementation for HDF5, use the default.
    (OpenMPI no longer supports 32-bit architectures)

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 14:39:48 +0200

paraview (5.12.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * follow the example of vtk9 (MR#1) and link -latomic on armel
    and other (32-bit) arches that need it. Closes: #1072939.
  * skip xdmf3 support on mips64el
    (gives "relocation truncated" errors)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 11:56:07 +0200

paraview (5.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * skip xdmf3 support on i386 (and other 32-bit arches), which fail
    due to changes in int handling. See Bug#1071700.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Jun 2024 14:37:16 +0200

paraview (5.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch VTK_XML_append_with_newer_expat.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:38:22 +0200

paraview (5.12.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * provide all installed paraview cmake files in paraview-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:03:36 +0200

paraview (5.12.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * don't hardcode version in debian install scripts

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 22:03:23 +0200

paraview (5.12.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * explicitly switch off cmake BUILD_TESTING. No build tests were
    found in previous versions, and the new single Cxx test set from
    plugins/DigitalSignalProcessing (Plugins/DSP) fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 18:52:50 +0200

paraview (5.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patches adios2_v2.9_*.diff
      g++13.patch, vector-header.patch
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2024 23:59:00 +0200

paraview (5.11.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests: stop running tests on s390x (see Bug#1071518)

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 May 2024 01:48:57 +0200

paraview (5.11.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian patch VTK_XML_append_with_newer_expat.patch applies
    upstream patch (vtk9 09_newer_expat.patch) to re-enable handling
    of appended data. See Bug#1064762. Closes: #1065270.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 21:30:46 +0200
