## paraview 5.13.1+dfsg

=== debian/changelog ===
paraview (5.13.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * add debian patch unloaded_dir_in_plugin_conf.patch.
    Currently paraview.conf can only specify plugin XML files (which
    provide autoload control). Plugin directories can only be added
    via PV_PLUGIN_PATH (or PARAVIEW_PLUGIN_LOADER_PATHS), but this
    mechanism autoloads plugins. This patch enables extra plugin dirs
    to be provided in paraview.conf, without autoloading the plugins
    they contain.
  * add debian patch plugin_conf_path_no_autoload.patch.
    Provide PARAVIEW_PLUGIN_CONF_EXTRA_PATHS cmake variable.
    Defines extra paths which are listed in the plugin configuration
    file, without autoloading found plugins.
    This is analogous to the PARAVIEW_PLUGIN_LOADER_PATHS variable
    (which autoloads found plugins in the Plugin Manager).
  * set PARAVIEW_PLUGIN_CONF_EXTRA_PATHS not
    PARAVIEW_PLUGIN_LOADER_PATHS in debian/rules configuration to
    make third-party plugins in /usr/share/paraview/plugins available
    without autoloading.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2024 11:19:07 +0100

paraview (5.13.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * fix debian patch conffile_libdir.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 20:14:45 +0200

paraview (5.13.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch conffile_libdir.patch to stringize
    preprocessor define PARAVIEW_LIBDIR to set as LibDir, see
    https://gcc.gnu.org/onlinedocs/cpp/Stringizing.html

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 18:16:29 +0200

paraview (5.13.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * fix debian patch plugin_dir_not_bin.patch to only add
    $appDir/plugins (i.e. /usr/bin/plugins) if that plugin dir exists.
  * update debian patch conffile_libdir.patch to define boolean option
    PARAVIEW_CONF_IN_LIBDIR (not PARAVIEW_LIB_SUBDIR) to determine
    whether or not to place the conf file in the libdir. Default OFF
    for current upstream behaviour, debian sets
    PARAVIEW_CONF_IN_LIBDIR=ON. Set (with version) early in
    CMakeFiles.txt before adding Remoting.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 15:20:47 +0200

paraview (5.13.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * drop in-app docs (paraview.qch) from paraview-doc, since they
    cannot be generated by Qt6, see Clients/ParaView/CMakeLists.txt and
    https://gitlab.kitware.com/paraview/paraview/-/issues/19742
    Install README.md and Documentation/release so paraview-doc at
    least contains something. Demote dependency to
    paraview Suggests: paraview-doc not Recommends.
  * debian patch conffile_libdir.patch defines option
    PARAVIEW_LIB_SUBDIR as the paraview library subdir in which plugins
    are installed and installs the plugin conffile there instead of
    the executable dir /usr/bin. Enables plugins to be found by the
    Plugin Manager. Previously we were blocking the conffile from
    installation in /usr/bin so plugins were not found.
    See troubleshooting in upstream Issue#22642.
  * debian patch fix_PluginLoader_defines.patch fixes Remoting/Core
    CMakeFiles.txt to use set_property to append defines for
    vtkPVPluginLoader.cxx, otherwise its existing BUILD_SHARED_LIBS
    value is wiped by set_source_files_properties.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Oct 2024 12:16:21 +0200

paraview (5.13.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: qt6-5compat-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 10:24:53 +0200

paraview (5.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * configure PARAVIEW_PLUGIN_LOADER_PATHS to show
    /usr/share/paraview/plugins (for arch/version-independent plugins)
    and /usr/lib/*/paraview-*/plugins/ in the Plugin Manager.
    Not clear why the latter do not already appear, see
    https://gitlab.kitware.com/paraview/paraview/-/issues/22642
  * debian patch plugin_dir_not_bin.patch only adds $appDir/plugins
    to the plugin search path if it exists. It should not exist
    (appDir is the executable dir, /usr/bin). Closes: #952390.
  * build with Qt6.
    Build-Depends: qt6-base-dev, qt6-svg-dev, qt6-tools-dev,
    qt6-tools-dev-tools, qt6-tools-private-dev, libqt6sql6-sqlite

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 04:46:56 +0200

paraview (5.13.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch logparser_regex_esc-MR7002.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Oct 2024 20:17:46 +0200

paraview (5.13.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch syntax_warnings_MR6932.patch
  * versioned Build-Depends: libadios2-mpi-c++11-dev (>= 2.10~)
  * install all vtk utilities usr/bin/vtk*-pv* in paraview package.
    Don't install usr/bin/vtkWrapClientServer* in paraview-dev.
    paraview Breaks/Replaces: paraview-dev (<< 5.13~)
  * drop unused debian patches
    py3.patch vtk-fix.patch reproducible.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Oct 2024 20:40:21 +0200

paraview (5.12.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian patch xdmf3_32bit.patch enables XDMF3 support on 32-bit
    systems. See https://stackoverflow.com/a/1505839/12401525
    Keep xdmf3 support deactivated on mips64el.
    Closes: #1071700.
  * add debian patches to avoid syntax warnings. Closes: #1072959.
    - logparser_regex_esc-MR7002.patch applies upstream MR#7002 to fix
      regex escape codes
    - syntax_warnings_MR6932.patch applies upstream MR#6932 to fix
      regex in smtrace.py
    - syntax_warnings.patch applies raw r prefix to other stray regexes
      and uses '==' not 'is' to test string equality

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 17:13:39 +0200
