=== debian/control ===
--- 
+++ 
@@ -5,19 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               qtbase5-dev,
-               libqt5svg5-dev,
+               qt6-base-dev,
+               qt6-5compat-dev,
+               qt6-svg-dev,
                libxcursor-dev,
                libdouble-conversion-dev,
                libopengl-dev,
-               libqt5opengl5-dev,
-               libqt5x11extras5-dev,
                liblz4-dev,
                libgdal-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               qttools5-private-dev,
-               qtxmlpatterns5-dev-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-tools-private-dev,
                libsqlite3-dev,
                sqlite3,
                libboost-all-dev,
@@ -29,7 +27,7 @@
                protobuf-compiler,
                libavcodec-dev,
                libswscale-dev,
-               libqt5sql5-sqlite,
+               libqt6sql6-sqlite,
                python3-all-dev,
                dh-sequence-python3,
                libglu1-mesa-dev,
@@ -52,7 +50,7 @@
                mpi-default-bin,
                libhdf5-mpi-dev,
                hdf5-tools,
-               libadios2-mpi-c++11-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
+               libadios2-mpi-c++11-dev (>= 2.10~) [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                libgl2ps-dev,
                libeigen3-dev,
                libnetcdf-dev (>= 1:4.9.0),
@@ -76,10 +74,12 @@
          python3-matplotlib,
          python3-mpi4py
 Recommends: mpi-default-bin,
-            python3-paraview,
-            paraview-doc
+            python3-paraview
 Suggests: hdf5-tools,
-          h5utils
+          h5utils,
+          paraview-doc
+Breaks: paraview-dev (<< 5.13~)
+Replaces: paraview-dev (<< 5.13~)
 Description: Parallel Visualization Application
  ParaView is an open-source, multi-platform application designed to
  visualize data sets of size varying from small to very large. The
