=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 DESTDIR = $(CURDIR)/debian/tmp
 UPSTREAM_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ { sub("-[^-]*$$", "", $$2); print $$2}')
+UPSTREAM_VERSION_ABI = $(shell echo $(UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
 %:
 	dh $@ --buildsystem=cmake 
@@ -14,7 +15,6 @@
 PY3DEF=$(shell py3versions -dv)
 
 export LD_LIBRARY_PATH+=:$(CURDIR)/debian/paraview/usr/lib/paraview
-export QT_SELECT=qt5
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wall -pedantic 
@@ -31,15 +31,10 @@
 #	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderPixie=ON 
 #	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderStaging=ON 
 
-# i386 (and other 32-bit arches) fails on xdmf3 due to changes in int handling
-# See Bug#1071700
-ifneq (,$(findstring $(DEB_HOST_ARCH_BITS), 32))
+ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
     USE_XMDF3=OFF
 else
     USE_XMDF3=ON
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
-    USE_XMDF3=OFF
 endif
 
 # Explicit settings of MPI_* is required see
@@ -83,6 +78,8 @@
 	-DPARAVIEW_ENABLE_XDMF3=$(USE_XMDF3) \
 	-DPARAVIEW_ENABLE_MOTIONFX=ON \
 	-DPARAVIEW_PLUGIN_ENABLE_GmshIO=ON \
+	-DPARAVIEW_PLUGIN_CONF_EXTRA_PATHS="/usr/share/paraview/plugins" \
+	-DPARAVIEW_CONF_IN_LIBDIR=ON \
 	-DDEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)
 
 # Adios2 is only available on 64-bit systems
