=== Plugins/DockWidgetCustomProxy/Plugin/CMakeLists.txt ===
add_subdirectory(ParaViewPlugin)

option(BUILD_TESTING "Build Plugin Testing" OFF)
if (BUILD_TESTING AND BUILD_SHARED_LIBS)
  add_subdirectory(Testing)
endif()
