=== debian/changelog ===
paraview (5.13.2+dfsg-3) unstable; urgency=medium

  * Patch for FTBFS with netcdf 4.9.3, thanks Bas Couwenberg
    Closes: #1095475

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Feb 2025 09:35:34 +0000

paraview (5.13.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * run dh_python3 with -V set to a range covering the default python
    version only, to get a versioned dependency on python3
    to facilitate future upgrades of the default python version
    (binNMU in auto-upperlimit-python3 transitions)
    Thanks Adrian Bunk and Colin Watson. Closes: #1093278.
  * drop --no-ext-rename option from dh_python3 override. Python
    extensions should be renamed as usual. The problem supporting
    non-default Python versions is in the libvtk.so libraries they
    link to, not the Python extensions themselves.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jan 2025 15:51:50 +0100

paraview (5.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_PluginLoader_defines.patch
  * support the default version of python only
    since many libvtk*.so files link to the specific python version
  * new debian patches
    - python3.13_missing_dict_MR11486.diff applies upstream
      MR#11486 to fix segfault with python3.13
    - python_iostream_encoding_MR11494.diff applies upstream MR#11494
      to improve handling of stream encoding

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2025 23:34:17 +0100

paraview (5.13.1+dfsg-11) unstable; urgency=medium

  * Team upload.
  * replace debian patch plugin_conf_path_no_autoload.patch with patch
    from upstream MR#7152.
    Incorporates unloaded_dir_in_plugin_conf.patch.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jan 2025 19:48:49 +0100

paraview (5.13.1+dfsg-10) unstable; urgency=medium

  * Team upload.
  * paraview Depends: ${Qtsvg:Depends}, defined in debian/rules to
    provide depenency on the Qt Svg component library (libqt6svg6).
    The Qt Svg library dependency is not detected automatically
    but is needed for labels and icons in the paraview GUI.
    Closes: #1031234

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2024 08:45:10 +0200

paraview (5.13.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian patch fix_ldflags.patch applies workaround to fix flaw in
    LDFLAGS handling exposed by cmake 3.31. Thanks Brad King from
    Kitware for the patch and analysis of the bug. Closes: #1087764.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2024 12:27:26 +0100
